<!--
* @name: 操作日志
-->
<template>
	<div style="height: 100%;">
		<base-layout @pageChange="pageChange" :operateButtonSwitch="false" :isPage="true">
			<div slot="main" slot-scope="{ tableHeight }" style="height: 100%;">
				<base-table ref="customtable" :border="true" :showIndex="false" :tabLoading.sync="tabLoading"
					:tableData="tableData" :tableColumn="tableColumn" @onCellClick="getCell" :tableHeight="tableHeight"
					@onSelectionChange="getSelect" :showSelect="true">
				</base-table>
			</div>
		</base-layout>
		<!-- <base-page :pageModel.sync="pageModel" @onPageChange="pageChange"></base-page> -->
	</div>
</template>

<script>
import baseTable from "@/components/base/baseTable";
import baseLayout from "@/components/base/baseLayout";
import basePage from '@/components/base/basePage'
import configData from "./configData";
export default {
	name: "review",
	components: {
		baseLayout,
		baseTable,
		basePage
	},
	data() {
		return {
			// tableHeight: 'calc(100vh - 130px)',
			tabLoading: false,
			tableData: [],
			selectTable: [], //多选
			// 分页数据
			pageModel: {
				total: 10,
				pageNum: 1,
				pageSize: 10,
			},
		}
	},
	computed: {
		// 表头配置
		tableColumn() {
			return configData.tableColumnJson
		},
	},
	methods: {
		// 单元格点击事件
		getCell(row, label) {
			console.log(row)
			console.log(label)
		},
		getElSelect(event, index, indexItem, param) { },
		// 按钮点击事件
		getFuncBtn(btnEven) { }, // 表格多选
		getSelect(selectTable) {
			this.selectTable = selectTable
		},
		// 页数或每页条数更改时触发
		pageChange() {
			this.$emit('onQuery', this.mergeParam())
		},
	},
	mounted() {

	}
}
</script>

<style></style>
